# Documentation

* [tydel](../README.md)
* Introduction
  * [Installation](./intro/installation.md)
  * [Quick-start](./intro/quickstart.md)
* Getting started
  * [Types](./getting-started/types.md)
  * [Models](./getting-started/models.md)
  * [Collections](./getting-started/collections.md)
* Advanced usage
  * [Embedding](./guides/embed.md)
  * [Events](./guides/events.md)
  * [Watcher](./guides/watcher.md)
* Integrations
  * [React](./integrations/react/README.md)
* [Examples](./examples/README.md)
  * [Basic counter](./examples/counter/README.md)
  * [React counter](./examples/react-counter/README.md)
  * [TodoMVC](./examples/todomvc/README.md)
* API Reference
  * Types
  * [Types](./api/Types.md)
  * [ChainableTypes](./api/ChainableTypes.md)
  * [chainType](./api/chainType.md)
  * Models
  * [createModel](./api/createModel.md)
  * [Model](./api/Model.md)
  * [isModel](./api/isModel.md)
  * Collections
  * [createCollection](./api/createCollection.md)
  * [Collection](./api/Collection.md)
  * [isCollection](./api/isCollection.md)
  * Events
  * [Event](./api/Event.md)
  * [isEvent](./api/isEvent.md)
  * Errors
  * [TypeError](./api/TypeError.md)
  * [CollectionError](./api/CollectionError.md)
  * [MethodError](./api/MethodError.md)
* Project
  * [Changelog](./changelog.md)
