'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = chain;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _Type = require('./errors/Type');

var _Type2 = _interopRequireDefault(_Type);

var _ChainableTypes = require('./ChainableTypes');

var chainables = _interopRequireWildcard(_ChainableTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function chain(fn) {
  var omitChainables = arguments.length <= 1 || arguments[1] === undefined ? [] : arguments[1];

  _lodash2.default.each(chainables, function (chainObj, chainName) {
    var chainFunc = chainObj.func;
    var chainIsFactory = chainObj.isFactory === true;

    if (omitChainables.indexOf(chainName) > -1) {
      return;
    }

    Object.defineProperty(fn, chainName, {
      get: function get() {
        if (chainIsFactory) {
          return function () {
            for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
              args[_key] = arguments[_key];
            }

            return chain(function (value) {
              var nextValue = chainFunc.apply(undefined, [value].concat(args));

              return fn(nextValue);
            });
          };
        }

        return chain(function (value) {
          var nextValue = value;

          nextValue = chainFunc(nextValue);
          nextValue = fn(nextValue);

          return nextValue;
        }, omitChainables.concat([chainName]));
      }
    });
  });

  return fn;
}